#ifndef __TMASKVEN_H

#define __TMASKVEN_H

#ifndef __MASK_H
#include <mask.h>
#endif

class TMask_vendite : public TMask
{
  friend TMask;
  
  protected:
  
    bool present( short fld_id ) const { return ( id2pos( fld_id ) >= 0 ); };
    
  public:
   
    void check_field( short fld_id );
    TMask_vendite( const char* name ) : TMask( name ) { };
    virtual void set(short fld_id, const char* str, bool hit=FALSE);
    virtual const TString& get(short fld_id) const;
    virtual void set_handler(short fld_id, CONTROL_HANDLER handler);
    virtual void show(short fld_id = -1, bool on = TRUE);
    virtual void enable(short fld_id, bool on = TRUE);
        
};

#endif
